### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# xtmrctr_intr.c File Reference

## Detailed Description

Contains interrupt-related functions for the XTmrCtr component.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00b jhl  02/06/02 First release
     1.10b mta  03/21/07 Updated to new coding style

## Functions
void | XTmrCtr_SetHandler (XTmrCtr *InstancePtr, XTmrCtr_Handler FuncPtr, void *CallBackRef)
void | XTmrCtr_InterruptHandler (void *InstancePtr)

## Function Documentation

void XTmrCtr_InterruptHandler | ( | void * | InstancePtr | ) |

  | Interrupt Service Routine (ISR) for the driver. This function only performs processing for the device and does not save and restore the interrupt context. Parameters:
  | InstancePtr | contains a pointer to the timer/counter instance for the interrupt.
Returns: None. Note: None.

void XTmrCtr_SetHandler | ( | XTmrCtr * | InstancePtr,
|  | XTmrCtr_Handler | FuncPtr,
|  | void * | CallBackRef
| ) |

  | Sets the timer callback function, which the driver calls when the specified timer times out. Parameters:
  | InstancePtr | is a pointer to the XTmrCtr instance .
  | CallBackRef | is the upper layer callback reference passed back when the callback function is invoked.
  | FuncPtr | is the pointer to the callback function.
Returns: None. Note: The handler is called within interrupt context so the function that is called should either be short or pass the more extensive processing off to another task to allow the interrupt to return and normal processing to continue.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.